import java.io.File;
import java.io.IOException;
import java.util.Scanner;
import java.lang.*;
import java.util.*;
import java.util.regex.Pattern;
import java.util.regex.Matcher;

/**
 * Created by thook on 10/7/15.
 */
public class HamletParser {

    private Formatter formatter;
    private String hamletFile = "hamlet.txt";

    public HamletParser(){
    }

    public String getHamletFile() {
        return hamletFile;
    }

    protected String loadFile(String fileName){
        ClassLoader classLoader = getClass().getClassLoader();
        File file = new File(classLoader.getResource(fileName).getFile());
        StringBuilder result = new StringBuilder("");

        try(Scanner scanner = new Scanner(file)){
            while(scanner.hasNextLine()){
                String line = replaceHamletAndHoratio(scanner.nextLine());
                result.append(line).append("\n");
            }
            scanner.close();
        }catch(IOException e){
            e.printStackTrace();
        }
        return result.toString();
    }

    /**
     * Methods to print out to a new file
     */
    public boolean openOutFile(String fileName){
        try {
            formatter = new Formatter(fileName);
            return true;
        }
        catch (Exception e){
            System.out.println("Error writing to file.");
            return false;
        }
    }
    public void writeToFile(String output){
        formatter.format("%s", output);
    }
    public void closeOutFile(){
        formatter.close();
    }

    public String replaceHamletAndHoratio(String input) {

        Pattern pattern = Pattern.compile("(?i)hamlet");
        Matcher matcher = pattern.matcher(input);

        String replaceHamlet = matcher.replaceAll("Leon");

        Pattern pattern1 = Pattern.compile("(?i)horatio");
        Matcher matcher1 = pattern1.matcher(replaceHamlet);

        String replaceHoratio = matcher1.replaceAll("Tarik");
        return replaceHoratio;
    }

}