import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.*;

public class HamletParserTest {
    private HamletParser hamletParser;

    @Before
    public void setUp() {
        this.hamletParser = new HamletParser();
    }

    @Test
    public void loadFileTest() {
        //GIVEN

        //WHEN
        String expected = "The Tragedy of Leon, Prince of Denmark\nTarik\n";
        //THEN
        String actual = hamletParser.loadFile("hamletTest.txt");
        Assert.assertEquals(expected, actual);

    }

    @Test
    public void hamletReplaceTest() {
        //GIVEN
        String input = "Hamlet Horatio hamlet horatio HAMLET HORATIO";
        //WHEN
        String expected = "Leon Tarik Leon Tarik Leon Tarik";
        //THEN
        String actual = hamletParser.replaceHamletAndHoratio(input);
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void getHamletFile() {
        //GIVEN

        //WHEN
        String expected = "hamlet.txt";
        //THEN
        String actual = hamletParser.getHamletFile();
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void openOutFileTest() {
        //GIVEN

        //WHEN
        boolean expected = true;
        //THEN
        boolean actual = hamletParser.openOutFile("text.txt");
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void openOutFileTest2() {
        //GIVEN

        //WHEN
        boolean expected = false;
        //THEN
        boolean actual = hamletParser.openOutFile("");
        Assert.assertEquals(expected, actual);
    }
}
